splinekernel.hh File Reference
`#include <vector>`
`#include <memory>`
`#include <cmath>`
`#include <mia/core/defines.hh>`
`#include <mia/core/dictmap.hh>`
`#include <mia/core/factory.hh>`
`#include <mia/core/product_base.hh>`
Include dependency graph for splinekernel.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CSplineKernel
| Base class for all spline based interpolation kernels. More...
struct | CSplineKernel::SCache

## Typedefs

typedef TFactory< CSplineKernel > | CSplineKernelPlugin
| base plugin for spline kernels
typedef THandlerSingleton< TFactoryPluginHandler< CSplineKernelPlugin > > | CSplineKernelPluginHandler
typedef std::shared_ptr< CSplineKernel > | PSplineKernel

## Functions

| FACTORY_TRAIT (CSplineKernelPluginHandler)
double EXPORT_CORE | integrate2 (const CSplineKernel &spline, double s1, double s2, int d1, int d2, double n, double x0, double L)
PSplineKernel | produce_spline_kernel (const std::string &descr)

## Variables

template<>
const char *const | TPluginHandler< TFactory< CSplineKernel > >::m_help

## Typedef Documentation

## CSplineKernelPlugin

typedef TFactory<CSplineKernel> CSplineKernelPlugin

base plugin for spline kernels

Definition at line 294 of file splinekernel.hh.

## Function Documentation

## FACTORY_TRAIT()

FACTORY_TRAIT | ( | CSplineKernelPluginHandler |  | ) |

## integrate2()

double EXPORT_CORE integrate2 | ( | const CSplineKernel & | spline,
|  | double | s1,
|  | double | s2,
|  | int | d1,
|  | int | d2,
|  | double | n,
|  | double | x0,
|  | double | L )

Approximate integration of a B-Spline kernel product

\[\int_{x_0}^L \frac{\partial^{d_1}}{\partial x^{d_1}} \beta(x - s_1) \frac{\partial^{d_2}}{\partial x^{d_2}} \beta(x - s_2) dx \]

using the Simpson integration.

Parameters

  spline | kernel \(\beta\)
  s1 |
  s2 |
  d1 |
  d2 |
  n | number of integration intervals
  x0 | start of interval
  L | end of interval

Returns
  value of integral

References EXPORT_CORE, and NS_MIA_END.

## Variable Documentation

## TPluginHandler< TFactory< CSplineKernel > >::m_help

template<>

const char* const TPluginHandler< TFactory< CSplineKernel > >::m_help

Definition at line 298 of file splinekernel.hh.